Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.extract
Class TransducerExtractionConfidenceEstimator

    java.lang.Object
      cc.mallet.extract.ExtractionConfidenceEstimator
          cc.mallet.extract.TransducerExtractionConfidenceEstimator

All Implemented Interfaces:
  java.io.Serializable

    public class TransducerExtractionConfidenceEstimator

extends ExtractionConfidenceEstimator
implements java.io.Serializable

Estimates the confidence in the labeling of a LabeledSpan using a TransducerConfidenceEstimator.

See Also:
  Serialized Form

Constructor Summary
`TransducerExtractionConfidenceEstimator(TransducerConfidenceEstimator confidenceEstimator, java.lang.Object[] startTags, java.lang.Object[] continueTags, Pipe featurePipe)`

Method Summary
`void` | `estimateConfidence(DocumentExtraction documentExtraction)`

Methods inherited from class cc.mallet.extract.ExtractionConfidenceEstimator
`estimateConfidence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransducerExtractionConfidenceEstimator

    public TransducerExtractionConfidenceEstimator(TransducerConfidenceEstimator confidenceEstimator,
                                                   java.lang.Object[] startTags,
                                                   java.lang.Object[] continueTags,
                                                   Pipe featurePipe)

Method Detail

### estimateConfidence

    public void estimateConfidence(DocumentExtraction documentExtraction)

  Specified by:
    `estimateConfidence` in class `ExtractionConfidenceEstimator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD